williamh    15/06/29 03:48:53

  Modified:             go-net-9999.ebuild ChangeLog
  Log:
  Make live ebuild copyable
  
  (Portage version: 2.2.18/cvs/Linux x86_64, signed Manifest commit with key 
0x30C46538)

Revision  Changes    Path
1.6                  dev-go/go-net/go-net-9999.ebuild

file : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-go/go-net/go-net-9999.ebuild?rev=1.6&view=markup
plain: 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-go/go-net/go-net-9999.ebuild?rev=1.6&content-type=text/plain
diff : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-go/go-net/go-net-9999.ebuild?r1=1.5&r2=1.6

Index: go-net-9999.ebuild
===================================================================
RCS file: /var/cvsroot/gentoo-x86/dev-go/go-net/go-net-9999.ebuild,v
retrieving revision 1.5
retrieving revision 1.6
diff -u -r1.5 -r1.6
--- go-net-9999.ebuild  25 Jun 2015 19:24:07 -0000      1.5
+++ go-net-9999.ebuild  29 Jun 2015 03:48:53 -0000      1.6
@@ -1,12 +1,20 @@
 # Copyright 1999-2015 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/dev-go/go-net/go-net-9999.ebuild,v 1.5 
2015/06/25 19:24:07 williamh Exp $
+# $Header: /var/cvsroot/gentoo-x86/dev-go/go-net/go-net-9999.ebuild,v 1.6 
2015/06/29 03:48:53 williamh Exp $
 
 EAPI=5
-inherit golang-build golang-vcs
 EGO_PN=golang.org/x/net/...
 EGO_SRC=golang.org/x/net
 
+if [[ ${PV} = *9999* ]]; then
+       inherit golang-vcs
+else
+       KEYWORDS="~amd64"
+       EGIT_COMMIT="dfe268fd2bb5c793f4c083803609fce9806c6f80"
+       SRC_URI="https://github.com/golang/net/archive/${EGIT_COMMIT}.tar.gz -> 
${P}.tar.gz"
+fi
+inherit golang-build
+
 DESCRIPTION="Go supplementary network libraries"
 HOMEPAGE="https://godoc.org/golang.org/x/net";
 LICENSE="BSD"
@@ -15,6 +23,35 @@
 DEPEND="dev-go/go-text"
 RDEPEND=""
 
+if [[ ${PV} != *9999* ]]; then
+src_unpack() {
+       local f
+
+       for f in ${A}
+       do
+               case "${f}" in
+                       *.tar|*.tar.gz|*.tar.bz2|*.tar.xz)
+                               local destdir=${WORKDIR}/${P}/src/${EGO_SRC}
+
+                               debug-print "${FUNCNAME}: unpacking ${f} to 
${destdir}"
+
+                               # XXX: check whether the directory structure 
inside is
+                               # fine? i.e. if the tarball has actually a 
parent dir.
+                               mkdir -p "${destdir}" || die
+                               tar -C "${destdir}" -x --strip-components 1 \
+                                       -f "${DISTDIR}/${f}" || die
+                               ;;
+                       *)
+                               debug-print "${FUNCNAME}: falling back to 
unpack for ${f}"
+
+                               # fall back to the default method
+                               unpack "${f}"
+                               ;;
+               esac
+       done
+}
+fi
+
 src_prepare() {
        # disable broken tests
        sed -e 's:TestReadProppatch(:_\0:' \



1.9                  dev-go/go-net/ChangeLog

file : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-go/go-net/ChangeLog?rev=1.9&view=markup
plain: 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-go/go-net/ChangeLog?rev=1.9&content-type=text/plain
diff : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-go/go-net/ChangeLog?r1=1.8&r2=1.9

Index: ChangeLog
===================================================================
RCS file: /var/cvsroot/gentoo-x86/dev-go/go-net/ChangeLog,v
retrieving revision 1.8
retrieving revision 1.9
diff -u -r1.8 -r1.9
--- ChangeLog   25 Jun 2015 19:24:07 -0000      1.8
+++ ChangeLog   29 Jun 2015 03:48:53 -0000      1.9
@@ -1,6 +1,9 @@
 # ChangeLog for dev-go/go-net
 # Copyright 1999-2015 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/dev-go/go-net/ChangeLog,v 1.8 2015/06/25 
19:24:07 williamh Exp $
+# $Header: /var/cvsroot/gentoo-x86/dev-go/go-net/ChangeLog,v 1.9 2015/06/29 
03:48:53 williamh Exp $
+
+  29 Jun 2015; William Hubbs <[email protected]> go-net-9999.ebuild:
+  Make live ebuild copyable
 
   25 Jun 2015; William Hubbs <[email protected]> go-net-9999.ebuild:
   Convert live ebuild to the new eclasses




Reply via email to